unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, Parser;

type
  TForm1 = class(TForm)
    PaintBox1: TPaintBox;
    Memo1: TMemo;
    Edit1: TEdit;
    Edit2: TEdit;
    Edit3: TEdit;
    Edit4: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    Button1: TButton;
    procedure PaintBox1DblClick(Sender: TObject); 
    procedure Button1Click(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.PaintBox1DblClick(Sender: TObject);
var
  _Parser: TParser;
  str, str2: string;
  lines: array of string;
  i1: integer;
  xlo, xhi, ylo, yhi: double;
begin
  SetLength(lines, Memo1.Lines.Count);
  for i1:= 0 to high(lines) do begin
    lines[i1]:= Memo1.Lines.Strings[i1];
  end;
  if not TryStrToFloat(Edit1.Text, xlo) then begin ShowMessage('Minimum x Value is not a valid float'); exit; end;
  if not TryStrToFloat(Edit2.Text, xhi) then begin ShowMessage('Maximum x Value is not a valid float'); exit; end;
  if not TryStrToFloat(Edit3.Text, ylo) then begin ShowMessage('Minimum y Value is not a valid float'); exit; end;
  if not TryStrToFloat(Edit4.Text, yhi) then begin ShowMessage('Maximum y Value is not a valid float'); exit; end;
  _Parser:= TParser.Create((Sender as TControl).Width, (Sender as TControl).Height, xlo, xhi, ylo, yhi);
  _Parser.compile(lines);
  _Parser.Draw((sender as TPaintBox).Canvas);
end;



procedure TForm1.Button1Click(Sender: TObject);
begin
  PaintBox1DblClick(PaintBox1);
end;

end.
